## Index

### Classes

- Agent
- Server

### Interfaces

- AgentOptions

### Type aliases

- RequestOptions
- ServerOptions

### Variables

- globalAgent

### Functions

- createServer
- get
- request

## Type aliases

### RequestOptions

RequestOptions: RequestOptions & SecureContextOptions & object

- Defined in node_modules/@types/node/https.d.ts:9

### ServerOptions

ServerOptions: SecureContextOptions & TlsOptions & ServerOptions

- Defined in node_modules/@types/node/https.d.ts:7

## Variables

### Let globalAgent

globalAgent: Agent

- Defined in node_modules/@types/node/https.d.ts:50

## Functions

### createServer

- createServer(options: ServerOptions, requestListener?: http.RequestListener): Server

- - Defined in node_modules/@types/node/https.d.ts:45

  #### Parameters

  - ##### options: ServerOptions

  - ##### Optional requestListener: http.RequestListener

  #### Returns Server

### get

- get(options: RequestOptions | string | URL, callback?: undefined | function): ClientRequest
- get(url: string | URL, options: RequestOptions, callback?: undefined | function): ClientRequest

- - Defined in node_modules/@types/node/https.d.ts:48

  #### Parameters

  - ##### options: RequestOptions | string | URL

  - ##### Optional callback: undefined | function

  #### Returns ClientRequest

- - Defined in node_modules/@types/node/https.d.ts:49

  #### Parameters

  - ##### url: string | URL

  - ##### options: RequestOptions

  - ##### Optional callback: undefined | function

  #### Returns ClientRequest

### request

- request(options: RequestOptions | string | URL, callback?: undefined | function): ClientRequest
- request(url: string | URL, options: RequestOptions, callback?: undefined | function): ClientRequest

- - Defined in node_modules/@types/node/https.d.ts:46

  #### Parameters

  - ##### options: RequestOptions | string | URL

  - ##### Optional callback: undefined | function

  #### Returns ClientRequest

- - Defined in node_modules/@types/node/https.d.ts:47

  #### Parameters

  - ##### url: string | URL

  - ##### options: RequestOptions

  - ##### Optional callback: undefined | function

  #### Returns ClientRequest

Generated using TypeDoc